sass教程随笔(二)

来源:转载

sass 作为一个css 预编译语言 使用起来  其实是依赖于ruby环境下的 现在需要先进行安装

ruby安装

因为sass依赖于ruby环境,所以装sass之前先确认装了ruby。先导官网下载个ruby

在安装的时候,请勾选Add Ruby executables to your PATH这个选项,添加环境变量,不然以后使用编译软件的时候会提示找不到ruby环境

进入运行cmd进入命令提示符,输入ruby -v查看版本号,如果能正确显示版本号,则说明ruby安装成功。

sass安装

安装完ruby之后,在开始菜单中,找到刚才我们安装的ruby,打开Start Command Prompt with Ruby

然后直接在命令行中输入

gem install sass

按回车键确认,等待一段时间就会提示你sass安装成功。

如果要安装beta版本的,可以在命令行中输入

gem install sass --pre

你还可以从sass的Git repository来安装,git的命令行为

git clone git://github.com/nex3/sass.gitcd sassrake install

升级sass版本的命令行为

gem update sass

查看sass版本的命令行为

sass -v

你也可以运行帮助命令行来查看你需要的命令

sass -h

可能会出现下图(提示Could not find a valid gem 'sass')的情况。

正常情况下显示的结果是这样的:





分享给朋友:
您可能感兴趣的文章:
随机阅读: